Index: /LMDZ4/trunk/libf/phylmd/phyredem.F
===================================================================
--- /LMDZ4/trunk/libf/phylmd/phyredem.F	(revision 1000)
+++ /LMDZ4/trunk/libf/phylmd/phyredem.F	(revision 1001)
@@ -885,125 +291,26 @@
 cIM ajout zmax0, f0, ema_work1, ema_work2
 cIM wake_deltat, wake_deltaq, wake_s, wake_cstar, wake_fip
-      ierr = NF_REDEF (nid)
-#ifdef NC_DOUBLE
-      ierr = NF_DEF_VAR (nid, "ZMAX0", NF_DOUBLE, 1, idim2,nvarid)
-#else
-      ierr = NF_DEF_VAR (nid, "ZMAX0", NF_FLOAT, 1, idim2,nvarid)
-#endif
-      ierr = NF_ENDDEF(nid)
-#ifdef NC_DOUBLE
-      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,zmax0_glo)
-#else
-      ierr = NF_PUT_VAR_REAL (nid,nvarid,zmax0_glo)
-#endif
-c
-      ierr = NF_REDEF (nid)
-#ifdef NC_DOUBLE
-      ierr = NF_DEF_VAR (nid, "F0", NF_DOUBLE, 1, idim2,nvarid)
-#else
-      ierr = NF_DEF_VAR (nid, "F0", NF_FLOAT, 1, idim2,nvarid)
-#endif
-      ierr = NF_ENDDEF(nid)
-#ifdef NC_DOUBLE
-      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,f0_glo)
-#else
-      ierr = NF_PUT_VAR_REAL (nid,nvarid,f0_glo)
-#endif
-c ema_work1
-      ierr = NF_REDEF (nid)
-#ifdef NC_DOUBLE
-      ierr = NF_DEF_VAR (nid, "EMA_WORK1", NF_DOUBLE, 1, idim3,nvarid)
-#else
-      ierr = NF_DEF_VAR (nid, "EMA_WORK1", NF_FLOAT, 1, idim3,nvarid)
-#endif
-      ierr = NF_ENDDEF(nid)
-#ifdef NC_DOUBLE
-      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,ema_work1_glo)
-#else
-      ierr = NF_PUT_VAR_REAL (nid,nvarid,ema_work1_glo)
-#endif
-c ema_work2
-      ierr = NF_REDEF (nid)
-#ifdef NC_DOUBLE
-      ierr = NF_DEF_VAR (nid, "EMA_WORK2", NF_DOUBLE, 1, idim3,nvarid)
-#else
-      ierr = NF_DEF_VAR (nid, "EMA_WORK2", NF_FLOAT, 1, idim3,nvarid)
-#endif
-      ierr = NF_ENDDEF(nid)
-#ifdef NC_DOUBLE
-      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,ema_work2_glo)
-#else
-      ierr = NF_PUT_VAR_REAL (nid,nvarid,ema_work2_glo)
-#endif
+      
+      CALL put_field("ZMAX0","",zmax0)
+      
+      CALL put_field("F0","",f0)
+      
+      CALL put_field("EMA_WORK1","",ema_work1)
+      
+      CALL put_field("EMA_WORK2","",ema_work2)
+      
 c wake_deltat
-      ierr = NF_REDEF (nid)
-#ifdef NC_DOUBLE
-      ierr = NF_DEF_VAR (nid, "WAKE_DELTAT", NF_DOUBLE, 1, idim3,nvarid)
-#else
-      ierr = NF_DEF_VAR (nid, "WAKE_DELTAT", NF_FLOAT, 1, idim3,nvarid)
-#endif
-      ierr = NF_ENDDEF(nid)
-#ifdef NC_DOUBLE
-      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,wake_deltat_glo)
-#else
-      ierr = NF_PUT_VAR_REAL (nid,nvarid,wake_deltat_glo)
-#endif
-c wake_deltaq
-      ierr = NF_REDEF (nid)
-#ifdef NC_DOUBLE
-      ierr = NF_DEF_VAR (nid, "WAKE_DELTAQ", NF_DOUBLE, 1, idim3,nvarid)
-#else
-      ierr = NF_DEF_VAR (nid, "WAKE_DELTAQ", NF_FLOAT, 1, idim3,nvarid)
-#endif
-      ierr = NF_ENDDEF(nid)
-#ifdef NC_DOUBLE
-      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,wake_deltaq_glo)
-#else
-      ierr = NF_PUT_VAR_REAL (nid,nvarid,wake_deltaq_glo)
-#endif
-c wake_s
-      ierr = NF_REDEF (nid)
-#ifdef NC_DOUBLE
-      ierr = NF_DEF_VAR (nid, "WAKE_S", NF_DOUBLE, 1, idim2,nvarid)
-#else
-      ierr = NF_DEF_VAR (nid, "WAKE_S", NF_FLOAT, 1, idim2,nvarid)
-#endif
-      ierr = NF_ENDDEF(nid)
-#ifdef NC_DOUBLE
-      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,wake_s_glo)
-#else
-      ierr = NF_PUT_VAR_REAL (nid,nvarid,wake_s_glo)
-#endif
-c wake_cstar
-      ierr = NF_REDEF (nid)
-#ifdef NC_DOUBLE
-      ierr = NF_DEF_VAR (nid, "WAKE_CSTAR", NF_DOUBLE, 1, idim2,nvarid)
-#else
-      ierr = NF_DEF_VAR (nid, "WAKE_CSTAR", NF_FLOAT, 1, idim2,nvarid)
-#endif
-      ierr = NF_ENDDEF(nid)
-#ifdef NC_DOUBLE
-      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,wake_cstar_glo)
-#else
-      ierr = NF_PUT_VAR_REAL (nid,nvarid,wake_cstar_glo)
-#endif
-c wake_fip
-      ierr = NF_REDEF (nid)
-#ifdef NC_DOUBLE
-      ierr = NF_DEF_VAR (nid, "WAKE_FIP", NF_DOUBLE, 1, idim2,nvarid)
-#else
-      ierr = NF_DEF_VAR (nid, "WAKE_FIP", NF_FLOAT, 1, idim2,nvarid)
-#endif
-      ierr = NF_ENDDEF(nid)
-#ifdef NC_DOUBLE
-      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,wake_fip_glo)
-#else
-      ierr = NF_PUT_VAR_REAL (nid,nvarid,wake_fip_glo)
-#endif
-c
-      ierr = NF_CLOSE(nid)
-c
-      endif   ! is_mpi_root
-c$OMP END MASTER
+      CALL put_field("WAKE_DELTAT","",wake_deltat)
+
+      CALL put_field("WAKE_DELTAQ","",wake_deltaq)
+      
+      CALL put_field("WAKE_S","",wake_s)
+      
+      CALL put_field("WAKE_CSTAR","",wake_cstar)
+      
+      CALL put_field("WAKE_FIP","",wake_fip)
+
+      CALL close_restartphy
+!$OMP BARRIER
       RETURN
       END
Index: /LMDZ4/trunk/libf/phylmd/phys_local_var_mod.F90
===================================================================
--- /LMDZ4/trunk/libf/phylmd/phys_local_var_mod.F90	(revision 1000)
+++ /LMDZ4/trunk/libf/phylmd/phys_local_var_mod.F90	(revision 1001)
@@ -51,4 +51,12 @@
       REAL, SAVE, ALLOCATABLE :: d_u_lif(:,:), d_v_lif(:,:)
       !$OMP THREADPRIVATE(d_u_lif, d_v_lif)
+! Tendances Ondes de G non oro (runs strato).
+      REAL, SAVE, ALLOCATABLE :: d_u_hin(:,:)
+      !$OMP THREADPRIVATE(d_u_hin)
+      REAL, SAVE, ALLOCATABLE :: d_v_hin(:,:)
+      !$OMP THREADPRIVATE(d_v_hin)
+      REAL, SAVE, ALLOCATABLE :: d_t_hin(:,:)
+      !$OMP THREADPRIVATE(d_t_hin)
+
 ! tendance du a la conersion Ec -> E thermique
       REAL, SAVE, ALLOCATABLE :: d_t_ec(:,:)
Index: /LMDZ4/trunk/libf/phylmd/physiq.F
===================================================================
--- /LMDZ4/trunk/libf/phylmd/physiq.F	(revision 1000)
+++ /LMDZ4/trunk/libf/phylmd/physiq.F	(revision 1001)
@@ -94,5 +94,5 @@
 #include "clesphys.h"
 #include "control.h"
-#include "logic.h"
+!#include "logic.h"
 #include "temps.h"
 cym#include "comgeomphy.h"
@@ -943,4 +943,5 @@
       REAL zustrli(klon), zvstrli(klon)
       REAL zustrph(klon), zvstrph(klon)
+      REAL zustrhi(klon), zvstrhi(klon)
       REAL aam, torsfc
 cIM 141004 END
@@ -1377,6 +1378,10 @@
 !           ENDDO
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-
-           CALL SUGWD(klon,klev,paprs,pplay)
+           IF (ok_strato) THEN
+             CALL SUGWD_strato(klon,klev,paprs,pplay)
+           ELSE
+             CALL SUGWD(klon,klev,paprs,pplay)
+           ENDIF
+           
            DO i=1,klon
              zuthe(i)=0.
@@ -2932,11 +2937,21 @@
 c        igwdim=MAX(1,igwd)
 c
+        IF (ok_strato) THEN
+        
+          CALL drag_noro_strato(klon,klev,dtime,paprs,pplay,
+     e                   zmea,zstd, zsig, zgam, zthe,zpic,zval,
+     e                   igwd,idx,itest,
+     e                   t_seri, u_seri, v_seri,
+     s                   zulow, zvlow, zustrdr, zvstrdr,
+     s                   d_t_oro, d_u_oro, d_v_oro)
+
+       ELSE
         CALL drag_noro(klon,klev,dtime,paprs,pplay,
      e                   zmea,zstd, zsig, zgam, zthe,zpic,zval,
      e                   igwd,idx,itest,
      e                   t_seri, u_seri, v_seri,
-cIM 141004    s                   zulow, zvlow, zustr, zvstr,
      s                   zulow, zvlow, zustrdr, zvstrdr,
      s                   d_t_oro, d_u_oro, d_v_oro)
+       ENDIF
 c
 c  ajout des tendances
@@ -2969,5 +2984,15 @@
 c        igwdim=MAX(1,igwd)
 c
-        CALL lift_noro(klon,klev,dtime,paprs,pplay,
+        IF (ok_strato) THEN
+
+          CALL lift_noro_strato(klon,klev,dtime,paprs,pplay,
+     e                   rlat,zmea,zstd,zpic,zgam,zthe,zpic,zval,
+     e                   igwd,idx,itest,
+     e                   t_seri, u_seri, v_seri,
+     s                   zulow, zvlow, zustrli, zvstrli,
+     s                   d_t_lif, d_u_lif, d_v_lif               )
+        
+        ELSE
+          CALL lift_noro(klon,klev,dtime,paprs,pplay,
      e                   rlat,zmea,zstd,zpic,
      e                   itest,
@@ -2975,5 +3000,6 @@
      s                   zulow, zvlow, zustrli, zvstrli,
      s                   d_t_lif, d_u_lif, d_v_lif)
-c
+       ENDIF
+c   
 !-----------------------------------------------------------------------------------------
 ! ajout des tendances de la portance de l'orographie
@@ -2982,4 +3008,19 @@
 c
       ENDIF ! fin de test sur ok_orolf
+C  HINES GWD PARAMETRIZATION
+
+       IF (ok_hines) then
+
+         CALL hines_gwd(klon,klev,dtime,paprs,pplay,
+     i                  rlat,t_seri,u_seri,v_seri,
+     o                  zustrhi,zvstrhi,
+     o                  d_t_hin, d_u_hin, d_v_hin)
+c
+c  ajout des tendances
+        CALL add_phys_tend(d_u_hin,d_v_hin,d_t_hin,dq0,dql0,'lif')
+
+      ENDIF
+c
+
 c
 cIM cf. FLott BEG
@@ -3368,7 +3409,7 @@
          itau_phy = itau_phy + itap
          CALL phyredem ("restartphy.nc")
-         open(97,form="unformatted",file="finbin")
-         write(97) u_seri,v_seri,t_seri,q_seri
-         close(97)
+!         open(97,form="unformatted",file="finbin")
+!         write(97) u_seri,v_seri,t_seri,q_seri
+!         close(97)
       ENDIF
       
Index: /LMDZ4/trunk/libf/phylmd/surf_land_orchidee_mod.F90
===================================================================
--- /LMDZ4/trunk/libf/phylmd/surf_land_orchidee_mod.F90	(revision 1000)
+++ /LMDZ4/trunk/libf/phylmd/surf_land_orchidee_mod.F90	(revision 1001)
@@ -480,5 +480,5 @@
   USE  mod_surf_para
       
-#ifdef CPP_PARA
+#ifdef CPP_MPI
     INCLUDE 'mpif.h'
 #endif    
@@ -502,5 +502,5 @@
       ENDIF
     
-#ifdef CPP_PARA    
+#ifdef CPP_MPI    
       CALL MPI_COMM_SPLIT(COMM_LMDZ_PHY,color,mpi_rank,orch_comm,ierr)
 #endif
@@ -529,5 +529,5 @@
     INCLUDE "indicesol.h"
 
-#ifdef CPP_PARA
+#ifdef CPP_MPI
     INCLUDE 'mpif.h'
 #endif    
